#
# spec file for package npapi-sdk
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2011 Wolfgang Rosenauer
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           npapi-sdk
Version:        0.27
Release:        16.5
Summary:        Netscape Plugin API (NPAPI)
License:        MPL-1.1 or GPL-2.0+ or LGPL-2.1+
Group:          System/Libraries
Url:            https://wiki.mozilla.org/NPAPI
Source:         npapi-sdk-%{version}.tar.bz2
Source1:        npapi-sdk.pc.in
BuildRequires:  pkg-config
Provides:       npapi-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This package provides the header and development files to create
NPAPI browser plugins.

%prep
%setup -q -n npapi-sdk

%build

%install
mkdir -p %{buildroot}%{_datadir}/pkgconfig
mkdir -p %{buildroot}%{_includedir}/npapi
cp headers/*.h %{buildroot}%{_includedir}/npapi/
sed "s:%%VERSION%%:%{version}:g" \
  %{SOURCE1} > %{buildroot}%{_datadir}/pkgconfig/npapi-sdk.pc

%files
%defattr(-, root, root)
%{_includedir}/npapi/
%{_datadir}/pkgconfig/*

%changelog
* Mon Dec 30 2013 tchvatal@suse.com
- Cleanup with spec-cleaner to remove clean section.
* Wed Jul 27 2011 wr@rosenauer.org
- initial openSUSE package
